Bug 8094 - no more re-install
: no more re-install
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/synaptic)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-09-30 11:45 by
Modified: 2013-08-15 19:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-30 11:45:39
Перестала работать переустановка пакетов.

apt-get reinstall - ok
------- Comment #1 From 2005-10-01 15:08:57 -------
Вы бы поподробнее проблему описали...
------- Comment #2 From 2005-10-01 15:19:14 -------
а что подробнее?
Попробуйте ПЕРЕустановить любой установленный пакет синаптиком.
Щелкаете на нем правой кнопкой и выбираете reinstall.
А потом Применить, или как там эта кнопка, не помню ;)

Ни и сраните с sudo apt-get reinstall ИмяУстановленногоПакета 


http://permalink.gmane.org/gmane.linux.altlinux.sisyphus/26778

------- Comment #3 From 2005-10-01 15:45:19 -------
Проблему подтверждаю, но Дмитрий, пожалуйста, be specific next time. Like the
following:

При переустановке пакета в Синаптик в терминале вижу следующее:
Committing changes...
Preparing...                 ########################################### [100%]
package gnome2-games-gnomine-2.12.0-alt1 is already installed

Failed to apply all changes! Scroll in the terminal buffer to see what went
wrong.


При этом apt работает нормально:
root@twilight ~ # apt-get reinstall gnome2-games-gnomine
Reading Package Lists... Done
Building Dependency Tree... Done
0 upgraded, 0 newly installed, 1 reinstalled, 0 removed and 19 not upgraded.
Need to get 0B/103kB of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue? [Y/n]
Committing changes...
Preparing...                 ########################################### [100%]
1: gnome2-games-gnomine      ########################################### [100%]
Done.
------- Comment #4 From 2005-10-03 14:13:15 -------
я бы так и писал, если бы не всегда воспроизводилось - так что любые  детали 
быди бы важны.
Но так как (в обсуждении на листе) выяснилось, что проблема воспроизводится -
то 
детали бы только отвлекали.
------- Comment #5 From 2010-10-10 23:44:28 -------
synaptic-0.57.2-alt2.7
apt-0.5.15lorg2-alt33
rpm-4.0.4-alt98.23

Воспроизводится, поставил зависимость от #3091 т.к. в apt-shell переустановка
(--reinstall) тоже не работает, имхо бага не в синаптике
------- Comment #6 From 2010-10-29 12:06:48 -------
*** Bug 14962 has been marked as a duplicate of this bug. ***
------- Comment #7 From 2013-08-15 19:37:44 -------
apparently wontfix